> # NAME

> tex2Dlod - 2D texture lookup with specified level of detail and optional texel offset.

> # SYNOPSIS

>       float4 tex2Dlod(sampler2D samp, float4 s)
>       float4 tex2Dlod(sampler2D samp, float4 s, int texelOff)

>       int4 tex2Dlod(isampler2D samp, float4 s)
>       int4 tex2Dlod(isampler2D samp, float4 s, int texelOff)

>       unsigned int4 tex2Dlod(usampler2D samp, float4 s)
>       unsigned int4 tex2Dlod(usampler2D samp, float4 s, int texelOff)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s.xy

>   Coordinates to perform the lookup.

> s.w

>   Level of detail.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup with a specified level of detail in sampler samp using coordinates s.

> # PROFILE SUPPORT

> tex2Dlod is supported in fragment profiles starting with fp40 and in vertex profiles starting with vp40. Variants with texelOff are only supported in gp4 and newer profiles. Variants with integer samplers are also only suppported in gp4 and newer profiles.

> # SEE ALSO

> tex2D, tex2Dbias, tex2Dcmplod